HeavyLoadedOntology (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap
Interface HeavyLoadedOntology<O>

All Superinterfaces:
  LoadedOntology<O>, Ontology<O>

All Known Implementing Classes:
  OWLAPI3Ontology, OWLAPIOntology

    public interface HeavyLoadedOntology<O>

extends LoadedOntology<O>

Encapsulate deep access to an ontology through some Ontology API Asserted methods corresponds to the information explicitely given or stored about the entity. Non-asserted corresponds to the information that can be deduced from it. So asserted methods are related to a syntactic view while the others are related to the semantics

Method Summary
`boolean` | `getCapabilities(int Direct, int Asserted, int Named)`
`Set<Object>` | `getClasses(Object i, int local, int asserted, int named)`
`Set<Object>` | `getDataProperties(Object c, int local, int asserted, int named)`
`Set<Object>` | `getDomain(Object p, int asserted)`
`Set<Object>` | `getInstances(Object c, int local, int asserted, int named)`
`Set<Object>` | `getObjectProperties(Object c, int local, int asserted, int named)`
`Set<Object>` | `getProperties(Object c, int local, int asserted, int named)`
`Set<Object>` | `getRange(Object p, int asserted)`
`Set<Object>` | `getSubClasses(Object c, int local, int asserted, int named)`
`Set<Object>` | `getSubProperties(Object p, int local, int asserted, int named)`
`Set<Object>` | `getSuperClasses(Object c, int local, int asserted, int named)`
`Set<Object>` | `getSuperProperties(Object p, int local, int asserted, int named)`

Methods inherited from interface fr.inrialpes.exmo.ontowrap.LoadedOntology
`getClasses, getDataProperties, getEntities, getEntity, getEntityAnnotations, getEntityAnnotations, getEntityComments, getEntityComments, getEntityName, getEntityName, getEntityNames, getEntityNames, getEntityURI, getIndividuals, getObjectProperties, getProperties, isClass, isDataProperty, isEntity, isIndividual, isObjectProperty, isProperty, nbClasses, nbDataProperties, nbEntities, nbIndividuals, nbObjectProperties, nbProperties, unload`

Methods inherited from interface fr.inrialpes.exmo.ontowrap.Ontology
`getFile, getFormalism, getFormURI, getOntology, getURI, setFile, setFormalism, setFormURI, setOntology, setURI`

Method Detail

### getCapabilities

    boolean getCapabilities(int Direct,
                            int Asserted,
                            int Named)

### getSubClasses

    Set<Object> getSubClasses(Object c,
                              int local,
                              int asserted,
                              int named)

### getSuperClasses

    Set<Object> getSuperClasses(Object c,
                                int local,
                                int asserted,
                                int named)

### getProperties

    Set<Object> getProperties(Object c,
                              int local,
                              int asserted,
                              int named)

### getDataProperties

    Set<Object> getDataProperties(Object c,
                                  int local,
                                  int asserted,
                                  int named)

### getObjectProperties

    Set<Object> getObjectProperties(Object c,
                                    int local,
                                    int asserted,
                                    int named)

### getInstances

    Set<Object> getInstances(Object c,
                             int local,
                             int asserted,
                             int named)

### getSubProperties

    Set<Object> getSubProperties(Object p,
                                 int local,
                                 int asserted,
                                 int named)

### getSuperProperties

    Set<Object> getSuperProperties(Object p,
                                   int local,
                                   int asserted,
                                   int named)

### getRange

    Set<Object> getRange(Object p,
                         int asserted)

### getDomain

    Set<Object> getDomain(Object p,
                          int asserted)

### getClasses

    Set<Object> getClasses(Object i,
                           int local,
                           int asserted,
                           int named)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010